Update a valuation
curl --request PATCH \
--url https://app.sure.am/api/v1/valuations/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"valuation": {
"amount": 123,
"date": "2023-12-25",
"notes": "<string>"
}
}
'import requests
url = "https://app.sure.am/api/v1/valuations/{id}"
payload = { "valuation": {
"amount": 123,
"date": "2023-12-25",
"notes": "<string>"
} }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({valuation: {amount: 123, date: '2023-12-25', notes: '<string>'}})
};
fetch('https://app.sure.am/api/v1/valuations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"currency": "<string>",
"kind": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Valuations
Update a valuation
Update balance and/or notes. When updating the balance, both amount and date must be provided together.
PATCH
/
api
/
v1
/
valuations
/
{id}
Update a valuation
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Valuation entry ID
Body
application/json
Show child attributes
Show child attributes
Response
valuation updated
The entry ID for this valuation
Formatted balance amount
The type of valuation (e.g. reconciliation)
Show child attributes
Show child attributes
Was this page helpful?
⌘I